summaryrefslogtreecommitdiffstats
path: root/scripts/system-restore
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/system-restore')
-rwxr-xr-xscripts/system-restore42
1 files changed, 23 insertions, 19 deletions
diff --git a/scripts/system-restore b/scripts/system-restore
index 8a66558..7b0de12 100755
--- a/scripts/system-restore
+++ b/scripts/system-restore
@@ -1,29 +1,33 @@
#!/bin/bash
-RES_OPENSLX=0
-RES_SAT=0
-case "$1" in
- both)
- RES_OPENSLX=1
- RES_SAT=1
- ;;
- openslx)
- RES_OPENSLX=1
- ;;
- sat)
- RES_SAT=1
- ;;
- *)
- echo "Error: Restore mode must be one of both, openslx, sat"
- exit 1
- ;;
-esac
-
BACKUP="$1"
if [ -z "$BACKUP" ] || [ ! -f "$BACKUP" ]; then
echo "Backup file not found: $BACKUP"
exit 1
fi
+shift
+
+RES_OPENSLX=0
+RES_SAT=0
+while [ $# -gt 0 ]; do
+ case "$1" in
+ openslx)
+ RES_OPENSLX=1
+ echo "Restoring system config"
+ ;;
+ dozmod)
+ RES_SAT=1
+ echo "Restoring VM and lecture db"
+ ;;
+ *)
+ echo "Error: Restore mode params must be one of openslx, dozmod (Got $1)"
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+[ "$RES_OPENSLX$RES_SAT" = "00" ] && exit 1
if [ "$(whoami)" != "root" ]; then
echo "Must be running as root!"